Bug 731001 - Review Request: lua-inotify - Inotify bindings for Lua
Summary: Review Request: lua-inotify - Inotify bindings for Lua
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 731003
TreeView+ depends on / blocked
 
Reported: 2011-08-16 14:08 UTC by Michel Alexandre Salim
Modified: 2011-09-30 19:51 UTC (History)
3 users (show)

Fixed In Version: lua-inotify-1.0-0.2.20110529git6d0f7a0973cfb.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-25 03:36:14 UTC
pahan: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Michel Alexandre Salim 2011-08-16 14:08:42 UTC
Spec URL: http://salimma.fedorapeople.org/specs/funpl/lua-inotify.spec
SRPM URL: http://salimma.fedorapeople.org/specs/funpl/lua-inotify-1.0-0.1.20110529git6d0f7a0973cfb.fc15.src.rpm
Description:
This is linotify, a binding for Linux's inotify library to Lua.

Comment 1 Pavel Alexeev 2011-09-04 16:34:32 UTC
Legend:
+ - Ok.
- - Error.
+/- - It item acceptable, but I strongly recommend enhancement.
= - N/A.

MUST Items

[+/-] MUST: rpmlint must be run on every package. The output should be posted in the review.
$ rpmlint *
lua-inotify.src: W: spelling-error %description -l en_US linotify -> notify
lua-inotify.src: W: invalid-url Source0: linotify-1.0-6d0f7a0973cfb.tar.xz
Fix script to get source. Details below.

lua-inotify.i686: W: spelling-error %description -l en_US linotify -> notify
lua-inotify.spec: W: invalid-url Source0: linotify-1.0-6d0f7a0973cfb.tar.xz
3 packages and 1 specfiles checked; 0 errors, 4 warnings.

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[-] MUST: The package must meet the Packaging Guidelines.

You are modify compiler flags, please describe for what in comment - http://fedoraproject.org/wiki/Packaging/Guidelines#Compiler_flags

[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[-] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

You forgot mention git repository. So, command in comment can't be used to checkout sources. Furthermore it break on lines without \ symbol.

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.

http://koji.fedoraproject.org/koji/taskinfo?taskID=3323499

[=] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[=] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[+] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.

I believe it is not related to %{_libdir}/lua/

[+] MUST: Packages must NOT bundle copies of system libraries.
[=] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[=] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+/-] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.

You still need %defattr line if you target it for EPEL too.

[+/-] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).

Add it if EPEL5 in target too.

[+/-] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).

Add it if EPEL5 in target too.

[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[=] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[=] MUST: Header files must be in a -devel package.
[=] MUST: Static libraries must be in a -static package.
[=] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
[=] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[=] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
[=] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[=] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[=] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[=] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[=] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[=] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[=] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[=] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[=] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.


As total: Package is almost fine. Please add comment about compiler option rationale and correct tarball reproduce and then it will be approved.

Comment 2 Michel Alexandre Salim 2011-09-08 10:13:42 UTC
Hi Pavel,

Thanks! Updated spec and SRPM:

Spec URL: http://salimma.fedorapeople.org/specs/funpl/lua-inotify.spec
SRPM URL:
http://salimma.fedorapeople.org/specs/funpl/lua-inotify-1.0-0.2.20110529git6d0f7a0973cfb.fc16.src.rpm

- added checkout instructions
- added rationale for CFLAGS

I'm not going to target EPEL5, and RHEL6 seems to have rpm 4.8.0 so the defattr line does not apply (per guidelines, it's no longer needed starting from RPM 4.4)

Comment 3 Pavel Alexeev 2011-09-08 15:30:00 UTC
cd to linotify directory still missing before git archive though.

PACKAGE APPROVED.

Comment 4 Michel Alexandre Salim 2011-09-09 18:46:56 UTC
Right; same as in lua-moonscript; will fix when importing. Thanks!

New Package SCM Request
=======================
Package Name: lua-inotify
Short Description: Inotify bindings for Lua
Owners: salimma
Branches: f14 f15 f16 el6
InitialCC:

Comment 5 Gwyn Ciesla 2011-09-09 19:02:41 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-09-09 22:13:24 UTC
lua-inotify-1.0-0.2.20110529git6d0f7a0973cfb.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/lua-inotify-1.0-0.2.20110529git6d0f7a0973cfb.fc15

Comment 7 Fedora Update System 2011-09-09 22:13:32 UTC
lua-inotify-1.0-0.2.20110529git6d0f7a0973cfb.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/lua-inotify-1.0-0.2.20110529git6d0f7a0973cfb.fc14

Comment 8 Fedora Update System 2011-09-09 22:13:39 UTC
lua-inotify-1.0-0.2.20110529git6d0f7a0973cfb.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/lua-inotify-1.0-0.2.20110529git6d0f7a0973cfb.fc16

Comment 9 Fedora Update System 2011-09-09 22:13:48 UTC
lua-inotify-1.0-0.2.20110529git6d0f7a0973cfb.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/lua-inotify-1.0-0.2.20110529git6d0f7a0973cfb.el6

Comment 10 Fedora Update System 2011-09-10 17:13:36 UTC
lua-inotify-1.0-0.2.20110529git6d0f7a0973cfb.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 11 Fedora Update System 2011-09-25 03:36:09 UTC
lua-inotify-1.0-0.2.20110529git6d0f7a0973cfb.fc14 has been pushed to the Fedora 14 stable repository.

Comment 12 Fedora Update System 2011-09-25 03:48:40 UTC
lua-inotify-1.0-0.2.20110529git6d0f7a0973cfb.fc15 has been pushed to the Fedora 15 stable repository.

Comment 13 Fedora Update System 2011-09-29 03:23:41 UTC
lua-inotify-1.0-0.2.20110529git6d0f7a0973cfb.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 14 Fedora Update System 2011-09-30 19:51:35 UTC
lua-inotify-1.0-0.2.20110529git6d0f7a0973cfb.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.